Link App Dataset
curl --request POST \
--url https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/dataset/link \
--header 'Content-Type: application/json' \
--data '
{
"dataset_uuid": "<string>"
}
'import requests
url = "https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/dataset/link"
payload = { "dataset_uuid": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({dataset_uuid: '<string>'})
};
fetch('https://api.your-blindsight.com/api/runtime-security/apps/{app_uuid}/dataset/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "<string>",
"field_picks": [
"<string>"
],
"privacy_mode": "redacted_only",
"batch_interval_seconds": 123,
"event_count": 123,
"last_event_at": "2023-11-07T05:31:56Z",
"materialised_dataset_uuid": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}runtime-security-apps
Link App Dataset
POST
/
api
/
runtime-security
/
apps
/
{app_uuid}
/
dataset
/
link
Link App Dataset
Path Parameters
Body
application/json
UUID of the existing dataset to link to this App.
Minimum string length:
1Response
Successful Response
Available options:
redacted_only, both_role_gated, hashed_pii, user_choice UUID of the Data Security Dataset materialised from this App's events, if one exists. Convention: dataset.meta carries 'source_runtime_security_app_uuid' set to the App's uuid.

